Index: /extensions/NBC_UserAdvManager/trunk/admin/UserAdvManager_admin.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/admin/UserAdvManager_admin.php	(revision 4398)
+++ /extensions/NBC_UserAdvManager/trunk/admin/UserAdvManager_admin.php	(revision 4399)
@@ -575,15 +575,15 @@
       if (isset($conf_nbc_UserAdvManager[17]) and $conf_nbc_UserAdvManager[17]=='true' and $conf_nbc_UserAdvManager[18] <> '')
       {
-        if ((($deltadays*100)/$conf_nbc_UserAdvManager[18]) <= ((50*$conf_nbc_UserAdvManager[18])/100))
+        if (round((($deltadays*100)/$conf_nbc_UserAdvManager[18]), 0) <= round(((50*$conf_nbc_UserAdvManager[18])/100), 0))
         {
           $display = 'green';
         }
         
-        if ((($deltadays*100)/$conf_nbc_UserAdvManager[18]) > ((50*$conf_nbc_UserAdvManager[18])/100) and (($deltadays*100)/$conf_nbc_UserAdvManager[18]) < ((100*$conf_nbc_UserAdvManager[18])/100))
+        if (round((($deltadays*100)/$conf_nbc_UserAdvManager[18]), 0) > round(((50*$conf_nbc_UserAdvManager[18])/100), 0) and round((($deltadays*100)/$conf_nbc_UserAdvManager[18]),0) < round(((100*$conf_nbc_UserAdvManager[18])/100),0))
         {
           $display = 'orange';
         }
         
-        if ((($deltadays*100)/$conf_nbc_UserAdvManager[18]) >= ((100*$conf_nbc_UserAdvManager[18])/100))
+        if (round((($deltadays*100)/$conf_nbc_UserAdvManager[18]), 0) >= round(((100*$conf_nbc_UserAdvManager[18])/100),0 ))
         {
           $display = 'red';
Index: /extensions/NBC_UserAdvManager/trunk/changelog.txt.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/changelog.txt.php	(revision 4398)
+++ /extensions/NBC_UserAdvManager/trunk/changelog.txt.php	(revision 4399)
@@ -102,5 +102,5 @@
 ***** Plugin history (branch 2.13)*****
  
--- 2.13.0 : Bug 1246
+-- 2.13.0 : Bug 1246 fixed - Extended Description tags are working again ! Caution : The language used and saved in database is the one configured by default in the visitor's browser and not the language given by Language Switch.
             Evolution 1239 - New option to add a new tab that shows the number of days since their last visit for each registered user.
             Bug 1257 fixed - If email exclusion list begins with a CR-LF, an informative warning message is displayed (I was unable to delete automatically this CR-LF).
Index: /extensions/NBC_UserAdvManager/trunk/include/functions_UserAdvManager.inc.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/include/functions_UserAdvManager.inc.php	(revision 4398)
+++ /extensions/NBC_UserAdvManager/trunk/include/functions_UserAdvManager.inc.php	(revision 4399)
@@ -14,4 +14,15 @@
 	$infos1_perso = "";
   $infos2_perso = "";
+
+/* We have to get the user's language in database */
+  $query ='
+SELECT user_id, language
+FROM '.USER_INFOS_TABLE.'
+WHERE user_id = '.$id.'
+;';
+  $data = mysql_fetch_assoc(pwg_query($query));
+  $language = $data['language'];
+/* And switch gallery to this language before using personalized and multilangual contents */
+  switch_lang_to($data['language']);
 
   switch($typemail)
@@ -75,4 +86,5 @@
   }
 
+/* Sending the email with subject and contents */
   pwg_mail($email, array(
     'subject' => $subject,
@@ -80,4 +92,115 @@
   ));
 
+/* Switching back to default language */
+switch_lang_back();
+
+/* ********************** */
+/* Email sending debugger */
+/* This is only to trace  */
+/* the send of emails for */
+/* debugging              */
+/* ********************** */  
+//  MailLog($email,$subject, $content);
+/* ********************** */
+}
+
+
+/* Email sending debugger function */
+//function MailLog  ($to, $subject, $content)
+//{
+//   $fo=fopen (NBC_UserAdvManager_PATH.'admin/maillog.txt','a') ;
+//   fwrite($fo,"======================\n") ;
+//   fwrite($fo,'le ' . date('D, d M Y H:i:s') . "\r\n");
+//   fwrite($fo,$to . "\n" . $subject . "\r\n") ;
+//   fwrite($fo, "\n" . $content . "\r\n") ;
+   //fwrite($fo, 'Langue : '."\n" . $language . "\r\n") ;
+//   fclose($fo) ;
+   //return mail ($to,$subject) ;
+//}
+
+
+/* Function called from UserAdvManager_admin.php to resend validation email with or without new validation key */
+function ResendMail2User($typemail, $user_id, $username, $email, $confirm)
+{
+  global $conf;
+  $conf_nbc_UserAdvManager = isset($conf['nbc_UserAdvManager']) ? explode(";" , $conf['nbc_UserAdvManager']) : array();
+	$conf_nbc_UserAdvManager_ConfirmMail = isset($conf['nbc_UserAdvManager_ConfirmMail']) ? explode(";" , $conf['nbc_UserAdvManager_ConfirmMail']) : array();
+  
+	include_once(PHPWG_ROOT_PATH.'include/functions_mail.inc.php');
+  
+	$infos1_perso = "";
+  $infos2_perso = "";
+  
+/* We have to get the user's language in database */
+  $query ='
+SELECT user_id, language
+FROM '.USER_INFOS_TABLE.'
+WHERE user_id = '.$id.'
+;';
+  $data = mysql_fetch_assoc(pwg_query($query));
+  $language = $data['language'];
+/* And switch gallery to this language before using personalized and multilangual contents */
+  switch_lang_to($data['language']);
+
+  switch($typemail)
+  {
+    case 1:
+      $subject = '['.$conf['gallery_title'].'] '.l10n_args(get_l10n_args('Reminder_with_key_of_%s', $username));
+      
+      if (isset($conf_nbc_UserAdvManager_ConfirmMail[2]) and $conf_nbc_UserAdvManager_ConfirmMail[2] <> '' and isset($conf_nbc_UserAdvManager_ConfirmMail[3]) and $conf_nbc_UserAdvManager_ConfirmMail[3] == 'true' and $confirm)
+      {
+        if (function_exists('get_user_language_desc'))
+        {
+          $infos1 = get_user_language_desc($conf_nbc_UserAdvManager_ConfirmMail[2])."\n\n";
+        }
+				else $infos1 = l10n($conf_nbc_UserAdvManager_ConfirmMail[2])."\n\n";
+
+        $infos2 = array
+        (
+          get_l10n_args('Link: %s', ResetConfirmMail($user_id)),
+          get_l10n_args('', ''),
+        );        
+			}
+
+/* Set reminder true */      
+      $query = "
+UPDATE ".USER_CONFIRM_MAIL_TABLE."
+SET reminder = 'true'
+WHERE user_id = '".$user_id."'
+;";
+      pwg_query($query);
+      
+		break;
+      
+    case 2:
+      $subject = '['.$conf['gallery_title'].'] '.l10n_args(get_l10n_args('Reminder_without_key_of_%s',$username));
+      
+      if (isset($conf_nbc_UserAdvManager_ConfirmMail[2]) and $conf_nbc_UserAdvManager_ConfirmMail[2] <> '' and isset($conf_nbc_UserAdvManager_ConfirmMail[3]) and $conf_nbc_UserAdvManager_ConfirmMail[3] == 'true' and !$confirm)
+      {
+        if (function_exists('get_user_language_desc'))
+        {
+          $infos1 = get_user_language_desc($conf_nbc_UserAdvManager_ConfirmMail[2])."\n\n";
+        }
+        else $infos1 = l10n($conf_nbc_UserAdvManager_ConfirmMail[2])."\n\n";
+      }
+      
+/* Set reminder true */      
+      $query = "
+UPDATE ".USER_CONFIRM_MAIL_TABLE."
+SET reminder = 'true'
+WHERE user_id = '".$user_id."'
+;";
+      pwg_query($query);
+      
+    break;
+	}
+  
+  pwg_mail($email, array(
+    'subject' => $subject,
+    'content' => ($infos1."\n\n").(isset($infos2) ? l10n_args($infos2)."\n\n" : "").get_absolute_root_url(),
+  ));
+
+/* Switching back to default language */
+switch_lang_back();
 /* ********************** */
 /* Email sending debugger */
@@ -91,106 +214,24 @@
 
 
-/* Email sending debugger function */
-//function MailLog  ($to, $subject)
-//{
-//   $fo=fopen (NBC_UserAdvManager_PATH.'admin/maillog.txt','a') ;
-//   fwrite($fo,"======================\n") ;
-//   fwrite($fo,'le ' . date('D, d M Y H:i:s') . "\r\n");
-//   fwrite($fo,$to . "\n" . $subject . "\r\n") ;
-//   fclose($fo) ;
-   //return mail ($to,$subject) ;
-//}
-
-
-/* Function called from UserAdvManager_admin.php to resend validation email with or without new validation key */
-function ResendMail2User($typemail, $user_id, $username, $email, $confirm)
+/* Function called from UserAdvManager_admin.php to send a reminder mail for ghost users */
+function ghostreminder($user_id, $username, $email)
 {
   global $conf;
   $conf_nbc_UserAdvManager = isset($conf['nbc_UserAdvManager']) ? explode(";" , $conf['nbc_UserAdvManager']) : array();
-	$conf_nbc_UserAdvManager_ConfirmMail = isset($conf['nbc_UserAdvManager_ConfirmMail']) ? explode(";" , $conf['nbc_UserAdvManager_ConfirmMail']) : array();
   
 	include_once(PHPWG_ROOT_PATH.'include/functions_mail.inc.php');
   
 	$infos1_perso = "";
-  $infos2_perso = "";
-
-  switch($typemail)
-  {
-    case 1:
-      $subject = '['.$conf['gallery_title'].'] '.l10n_args(get_l10n_args('Reminder_with_key_of_%s', $username));
-      
-      if (isset($conf_nbc_UserAdvManager_ConfirmMail[2]) and $conf_nbc_UserAdvManager_ConfirmMail[2] <> '' and isset($conf_nbc_UserAdvManager_ConfirmMail[3]) and $conf_nbc_UserAdvManager_ConfirmMail[3] == 'true' and $confirm)
-      {
-        if (function_exists('get_user_language_desc'))
-        {
-          $infos1 = get_user_language_desc($conf_nbc_UserAdvManager_ConfirmMail[2])."\n\n";
-        }
-				else $infos1 = l10n($conf_nbc_UserAdvManager_ConfirmMail[2])."\n\n";
-
-        $infos2 = array
-        (
-          get_l10n_args('Link: %s', ResetConfirmMail($user_id)),
-          get_l10n_args('', ''),
-        );        
-			}
-
-/* Set reminder true */      
-      $query = "
-UPDATE ".USER_CONFIRM_MAIL_TABLE."
-SET reminder = 'true'
-WHERE user_id = '".$user_id."'
-;";
-      pwg_query($query);
-      
-		break;
-      
-    case 2:
-      $subject = '['.$conf['gallery_title'].'] '.l10n_args(get_l10n_args('Reminder_without_key_of_%s',$username));
-      
-      if (isset($conf_nbc_UserAdvManager_ConfirmMail[2]) and $conf_nbc_UserAdvManager_ConfirmMail[2] <> '' and isset($conf_nbc_UserAdvManager_ConfirmMail[3]) and $conf_nbc_UserAdvManager_ConfirmMail[3] == 'true' and !$confirm)
-      {
-        if (function_exists('get_user_language_desc'))
-        {
-          $infos1 = get_user_language_desc($conf_nbc_UserAdvManager_ConfirmMail[2])."\n\n";
-        }
-        else $infos1 = l10n($conf_nbc_UserAdvManager_ConfirmMail[2])."\n\n";
-      }
-      
-/* Set reminder true */      
-      $query = "
-UPDATE ".USER_CONFIRM_MAIL_TABLE."
-SET reminder = 'true'
-WHERE user_id = '".$user_id."'
-;";
-      pwg_query($query);
-      
-    break;
-	}
-  
-  pwg_mail($email, array(
-    'subject' => $subject,
-    'content' => ($infos1."\n\n").(isset($infos2) ? l10n_args($infos2)."\n\n" : "").get_absolute_root_url(),
-  ));
-
-/* ********************** */
-/* Email sending debugger */
-/* This is only to trace  */
-/* the send of emails for */
-/* debugging              */
-/* ********************** */  
-//  MailLog($email,$subject);
-/* ********************** */
-}
-
-
-/* Function called from UserAdvManager_admin.php to send a reminder mail for ghost users */
-function ghostreminder($user_id, $username, $email)
-{
-  global $conf;
-  $conf_nbc_UserAdvManager = isset($conf['nbc_UserAdvManager']) ? explode(";" , $conf['nbc_UserAdvManager']) : array();
-  
-	include_once(PHPWG_ROOT_PATH.'include/functions_mail.inc.php');
-  
-	$infos1_perso = "";
+
+/* We have to get the user's language in database */
+  $query ='
+SELECT user_id, language
+FROM '.USER_INFOS_TABLE.'
+WHERE user_id = '.$id.'
+;';
+  $data = mysql_fetch_assoc(pwg_query($query));
+  $language = $data['language'];
+/* And switch gallery to this language before using personalized and multilangual contents */
+  switch_lang_to($data['language']);
 
   $subject = '['.$conf['gallery_title'].'] '.l10n_args(get_l10n_args('Ghost_remainder_of_%s', $username));
@@ -212,4 +253,6 @@
   ));
 
+/* Switching back to default language */
+switch_lang_back();
 /* ********************** */
 /* Email sending debugger */
Index: /extensions/NBC_UserAdvManager/trunk/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/en_UK/plugin.lang.php	(revision 4398)
+++ /extensions/NBC_UserAdvManager/trunk/language/en_UK/plugin.lang.php	(revision 4399)
@@ -35,34 +35,4 @@
 $lang['UserAdvManager_MailExclusion_false'] = ' Set the email provider exclusion OFF. (default)';
 $lang['UserAdvManager_MailExclusion_List'] = ' If email provider exclusion is set to ON, fill the email domains to exclude below. You have to use the following format :<br>@[domaine_name].[domaine_extension] - Example : @hotmail.com<br>Seperate the different domains with a comma (,)<br>';
-// --------- Starting below: New or revised $lang ---- from version 2.12.0 and 2.12.1
-$lang['UserAdvManager_Title1'] = 'Users registration management';
-$lang['UserAdvManager_Title2'] = 'Registration validation and groups / status management';
-$lang['UserAdvManager_Password_Enforced'] = 'Strengthening passwords - Enabling this option makes the seizure of the password required for visitors registration. Also, the password entered by the visitor will meet with a score of complexity (<b style="color: green;">activate and save settings to display more informations</b>).';
-$lang['UserAdvManager_Password_Enforced_Info'] = '<b style="text-decoration: underline; color: green;">Explanations:</b> <b style="color: green;">A password score is calculated on the basic parameters: length, type of characters used (letters, digits, uppercase, lowercase, special characters). If the password of the user does not score, the score reached is displayed with the minimal score to reach and an indication to increase the value of this score. To give you an idea, a score below 100 is considered "low complexity". Between 100 and 500, the complexity is increased and average. Beyond 500, that\'s Fort Knox! ;-)<br>You can do your passwords complexity tests by using the field below. This will allow you to get an idea of the score to define a custom complexity.</b>';
-$lang['UserAdvManager_PasswordTest'] = 'Password to test : ';
-$lang['UserAdvManager_ScoreTest'] = 'Score : ';
-$lang['PasswordTest'] = 'Score calculation';
-$lang['UserAdvManager_Password_Enforced_true'] = ' Strong password required - Enter the minimum score (floor value) of passwords complexity == ';
-$lang['UserAdvManager_Password_Enforced_false'] = ' Do not strengthen passwords. (default)';
-$lang['UserAdvManager_AdminPassword_Enforced'] = 'Apply also the passwords complexity control when an administrator create a user? Note: If the created user wishes to change his password and strengthening passwords for users is active, he will be subject to the rules set.';
-$lang['UserAdvManager_AdminPassword_Enforced_true'] = 'Enable strengthening passwords for admins.';
-$lang['UserAdvManager_AdminPassword_Enforced_false'] = 'Disable strengthening passwords for admins. (default)';
-$lang['UserAdvManager_GhostTracker'] = 'Ghost Tracker - Allows to manage registered users according their last visit date :';
-$lang['UserAdvManager_GhostTracker_true'] = ' Enable Ghost Tracker.';
-$lang['UserAdvManager_GhostTracker_false'] = ' Disable Ghost Tracker. (Default)';
-$lang['UserAdvManager_GhostTracker_DayLimit'] = ' Type in here the maximum limit, in days, between two visits of a visitor. When this limit is reached, this visitor will appear in the table on "Ghost Tracker" tab.';
-$lang['UserAdvManager_GhostTracker_ReminderText'] = ' Text used in the email reminder sent to encourage visitors to come back to the gallery (NB: The text pre-filled at the plugin installation is given as an example).<br><b style="color: red;">(!!! </b><b style="text-decoration: underline; color: red;">WARNING !</b> <b style="color: red;">Text modification is available ONLY if Ghost Tracker is enabled. Use the multi language tags from Extended Description plugin if this plugin is activated !!!)</b>';
-// --------- End: New or revised $lang ---- from version 2.12.0 and 2.12.1
-// --------- Starting below: New or revised $lang ---- from version 2.12.2
-$lang['UserAdvManager_GhostTracker_Notice'] = 'When the Ghost Tracker feature is enabled, you can manage your visitors depending on the frequency of their visits. <b style="color: red;">IMPORTANT : If you enable this feature for the first time or you have reactivated after a long period off during which new visitors are registered, visit the Ghost Tracker tab and follow the instructions for Ghost Tracker initialization.</b>';
-// --------- End: New or revised $lang ---- from version 2.12.0
-// --------- Starting below: New or revised $lang ---- from version 2.12.6
-$lang['UserAdvManager_No_Casse_true'] = ' Make the user account case insensitive at the registration and the identification step (USER = user = User = usER...).';
-// --------- End: New or revised $lang ---- from version 2.12.6
-// --------- Starting below: New or revised $lang ---- from version 2.13.0
-$lang['UserAdvManager_Add_LastVisit_Column'] = ' View user monitoring record (date of last visit, time spent (in days) since their last visit ,...). Monitoring is purely informative for the administrator of the gallery.';
-$lang['UserAdvManager_Add_LastVisit_Column_true'] = ' Enable user monitoring list.';
-$lang['UserAdvManager_Add_LastVisit_Column_false'] = ' Disable user monitoring list (Default).';
-// --------- End: New or revised $lang ---- from version 2.13.0
 
 
@@ -78,76 +48,8 @@
 $lang['UserAdvManager_ConfirmMail_ReMail_Txt1'] = 'Custom content of the reminder message with regeneration of validation key.<br>If left blank, the reminder email will include only the validation link. It is therefore strongly advised to take a little explanatory text. (NB: The text pre-filled at the plugin installation is given as an example)<br><br><b style="color: red;">(!!! </b><b style="text-decoration: underline; color: red;">WARNING !</b> <b style="color: red;">Text modification is available ONLY if email reminder is enabled. Use the multi language tags from Extended Description plugin if this plugin is activated !!!)</b>';
 $lang['UserAdvManager_ConfirmMail_ReMail_Txt2'] = 'Custom content of the reminder message without regeneration of validation key.<br>If left blank, the reminder email will include only the validation link. It is therefore strongly advised to take a little explanatory text. (NB: The text pre-filled at the plugin installation is given as an example)<br><br><b style="color: red;">(!!! </b><b style="text-decoration: underline; color: red;">WARNING !</b> <b style="color: red;">Text modification is available ONLY if email reminder is enabled. Use the multi language tags from Extended Description plugin if this plugin is activated !!!)</b>';
-// --------- Starting below: New or revised $lang ---- from version 2.13.0
-$lang['ConfirmMail_Title'] = 'Advanced settings for validation of registries';
-$lang['Title_Tab2'] = 'UserAdvManager - Register validation settings';
-$lang['Tab_ConfirmMail'] = 'Register validation settings';
-// --------- End: New or revised $lang ---- from version 2.13.0
-
-
-// --------- Starting below: New or revised $lang ---- from version 2.13.0
-/* UserList Tab */
-$lang['Title_Tab5'] = 'UserAdvManager - User Information';
-$lang['UserList_Title'] = 'Monitoring registered users';
-$lang['Tab_UserList'] = 'Monitoring users';
-$lang['UserAdvManager_User_List'] = 'This page is for information to the administrator. It displays a list of all users registered on the gallery showing the date and number of days since their last visit. The list is sorted in ascending order of number of days.
-<br><br>
-When the Ghost Tracker is active, the number of days without a visit appears as the following color code, according to the maximum set in the Ghost Tracker options:
-<br>
-- <b style="color: lime;">Green</b> : When the user has visited the gallery <b style="color: lime;"><u>less than 50%</u></b> of the maximum indicated in the Ghost Tracker.<br>
-- <b style="color: orange;">Orange</b> : When the user has visited the gallery <b style="color: orange;"><u> between 50% and 99% </u></b> of the maximum indicated in the Ghost Tracker.<br>
-- <b style="color: red;">Red</b> : When the user has visited the gallery <b style="color: red;"><u>for more than 99%</u></b> of the maximum indicated in the Ghost Tracker. <b><u>In this case, the user must also appear in the Ghost Tracker table.</u></b><br>
-<br>
-Example :
-<br>
-The maximum period of Ghost Tracker is configured to 100 days.
-<br>
-A user will appear in green if he visited the gallery for less than 50 days, in orange if his last visit took place between 50 and 99 days and red for 100 days and above.
-<br><br>
-<b>NOTE</b> : The list does not display who have not validated their registration (if the option of validating the registration is activated). These users are then managed in a special way in the "Validation management.';
-$lang['Nb_Days'] = 'Number of days<br>since last visit';
-// --------- End: New or revised $lang ---- from version 2.13.0
 
 
 /* UserManager Tab */
-$lang['UserAdvManager_ConfirmMail_User_List'] = 'When limiting the deadline for registration is enabled, you will find below the list of users awaiting validation, <b style="text-decoration: underline;">whether or not</b> they are in time to validate.<br><br>In this view, you can:
-<br><br>
-- Manually delete accounts <b>(manual drain)</b>
-<br>
-- Generate email reminder <b>without</b> generating a new key. Warning: Send an email reminder to targeted visitors. This function does not reset the date of registration of targeted visitors and the timeout is still valid.
-<br>
-- Generate email reminder <b>with</b> generating a new key. Warning : Send an email reminder to targeted visitors. This function also resets the date of registration of targeted visitors which equates to extend the deadline for validation.
-<br>
-- Submit a registration awaiting validation manually even if the expiry date has passed <b>(forcing validation)</b>.
-<br>';
 $lang['Registration_Date'] = 'Registration date';
-// --------- Starting below: New or revised $lang ---- from version 2.13.0
-$lang['UserManager_Title'] = 'Advanced management of unvalidated';
-$lang['Title_Tab3'] = 'UserAdvManager - Management of registration validations';
-$lang['Tab_UserManager'] = 'Management validations';
-// --------- End: New or revised $lang ---- from version 2.13.0
-
-
-// --------- Starting below: New or revised $lang ---- from version 2.12.0 and 2.12.1
-/* Ghost Tracker Tab */
-$lang['GhostTracker_Title'] = 'Advanced ghost visitors management';
-$lang['Title_Tab4'] = 'UserAdvManager - Ghost Tracker';
-$lang['Tab_GhostTracker'] = 'Ghost Tracker';
-$lang['LastVisit_Date'] = 'Last visit';
-$lang['Ghost_Reminder'] = 'Email reminder';
-$lang['Reminder_Sent_OK'] = 'YES';
-$lang['Reminder_Sent_NOK'] = 'NO';
-// --------- End: New or revised $lang ---- from version 2.12.0 and 2.12.1
-// --------- Starting below: New or revised $lang ---- from version 2.12.2
-$lang['UserAdvManager_GhostTracker_Init'] = 'If you enable this feature for the first time or you have reactivated after a long period off during which new visitors are registered, you must initialize or reset the Ghost Tracker. This action is done only after activation or reactivation of the option. Please click <u>once</u> the reset button below.';
-$lang['UserAdvManager_GhostTracker_User_List'] = 'When Ghost Tracker is enabled and initialized, you will find below the list of registered visitors who have not returned since x days. "x" is the number of days configured in the General Setup tab. In addition, you will find a column indicating whether an email reminder has been sent to targeted visitors. So, you can see at a glance and treat visitors who have not taken account of the reminder.<br><br>In this view, you can:
-<br><br>
-- Manually delete accounts <b>(manual drain)</b>
-<br>
-- Generate email reminder <b>with resetting the last visit date</b>. This allows to give a wildcard to targeted visitors. If the visitor has already received a reminder, nothing prevents to resent a new mail which will reset again, in fact, the last visit date.
-<br>';
-// --------- End: New or revised $lang ---- from version 2.12.2
-// --------- Starting below: New or revised $lang ---- from version 2.13.0
-$lang['Reminder'] = 'Email Reminder';
-// --------- End: New or revised $lang ---- from version 2.13.0
 
 
@@ -192,5 +94,53 @@
 $lang['No_validation_for_your_account'] = 'Your personnal admin account is not subject to validation';
 $lang['Database_Error'] = '<b><u>Warning! Critical integrity error in your database.</u></b><br><br>Please check the integrity of the #_user_confirm_mail table.';
+
+
+/* Processing messages */
+$lang['%d_Mail_With_Key'] = '%d message with key renewal was sent';
+$lang['%d_Mails_With_Key'] = '%d messages with key renewal were sent';
+$lang['%d_Reminder_Sent'] = '%d reminder message was sent';
+$lang['%d_Reminders_Sent'] = '%d reminder messages were sent';
+$lang['%d_Validated_User'] = '%d User validated manually';
+$lang['%d_Validated_Users'] = '%d Users validated manually';
+
+
+/* Action button names */
+$lang['Delete_selected'] = 'Delete';
+$lang['Mail_without_key'] = 'Reminder without key';
+$lang['Mail_with_key'] = 'Reminder with key';
+$lang['Force_Validation'] = 'Forced validation';
+$lang['Reminder_Email'] = 'Email reminder';
+
+
+
+
 // --------- Starting below: New or revised $lang ---- from version 2.12.0 and 2.12.1
+/* Global Configuration Tab */
+$lang['UserAdvManager_Title1'] = 'Users registration management';
+$lang['UserAdvManager_Title2'] = 'Registration validation and groups / status management';
+$lang['UserAdvManager_Password_Enforced'] = 'Strengthening passwords - Enabling this option makes the seizure of the password required for visitors registration. Also, the password entered by the visitor will meet with a score of complexity (<b style="color: green;">activate and save settings to display more informations</b>).';
+$lang['UserAdvManager_Password_Enforced_Info'] = '<b style="text-decoration: underline; color: green;">Explanations:</b> <b style="color: green;">A password score is calculated on the basic parameters: length, type of characters used (letters, digits, uppercase, lowercase, special characters). If the password of the user does not score, the score reached is displayed with the minimal score to reach and an indication to increase the value of this score. To give you an idea, a score below 100 is considered "low complexity". Between 100 and 500, the complexity is increased and average. Beyond 500, that\'s Fort Knox! ;-)<br>You can do your passwords complexity tests by using the field below. This will allow you to get an idea of the score to define a custom complexity.</b>';
+$lang['UserAdvManager_PasswordTest'] = 'Password to test : ';
+$lang['UserAdvManager_ScoreTest'] = 'Score : ';
+$lang['PasswordTest'] = 'Score calculation';
+$lang['UserAdvManager_Password_Enforced_true'] = ' Strong password required - Enter the minimum score (floor value) of passwords complexity == ';
+$lang['UserAdvManager_Password_Enforced_false'] = ' Do not strengthen passwords. (default)';
+$lang['UserAdvManager_AdminPassword_Enforced'] = 'Apply also the passwords complexity control when an administrator create a user? Note: If the created user wishes to change his password and strengthening passwords for users is active, he will be subject to the rules set.';
+$lang['UserAdvManager_AdminPassword_Enforced_true'] = 'Enable strengthening passwords for admins.';
+$lang['UserAdvManager_AdminPassword_Enforced_false'] = 'Disable strengthening passwords for admins. (default)';
+$lang['UserAdvManager_GhostTracker'] = 'Ghost Tracker - Allows to manage registered users according their last visit date :';
+$lang['UserAdvManager_GhostTracker_true'] = ' Enable Ghost Tracker.';
+$lang['UserAdvManager_GhostTracker_false'] = ' Disable Ghost Tracker. (Default)';
+$lang['UserAdvManager_GhostTracker_DayLimit'] = ' Type in here the maximum limit, in days, between two visits of a visitor. When this limit is reached, this visitor will appear in the table on "Ghost Tracker" tab.';
+$lang['UserAdvManager_GhostTracker_ReminderText'] = ' Text used in the email reminder sent to encourage visitors to come back to the gallery (NB: The text pre-filled at the plugin installation is given as an example).<br><b style="color: red;">(!!! </b><b style="text-decoration: underline; color: red;">WARNING !</b> <b style="color: red;">Text modification is available ONLY if Ghost Tracker is enabled. Use the multi language tags from Extended Description plugin if this plugin is activated !!!)</b>';
+/* Ghost Tracker Tab */
+$lang['GhostTracker_Title'] = 'Advanced ghost visitors management';
+$lang['Title_Tab4'] = 'UserAdvManager - Ghost Tracker';
+$lang['Tab_GhostTracker'] = 'Ghost Tracker';
+$lang['LastVisit_Date'] = 'Last visit';
+$lang['Ghost_Reminder'] = 'Email reminder';
+$lang['Reminder_Sent_OK'] = 'YES';
+$lang['Reminder_Sent_NOK'] = 'NO';
+/* Errors and Warnings */
 $lang['UserAdvManager_save_config'] ='Configuration saved.';
 $lang['reg_err_login3'] = 'Security : Password is mandatory !';
@@ -205,40 +155,88 @@
 $lang['No_reminder_for_your_account'] = 'You personnal admin account is not subject to receive reminders from GhostTracker';
 $lang['Err_GhostTracker_Settings'] = 'This page is available only if "Ghost Tracker" is active in the "General Setup" tab.';
-// --------- End: New or revised $lang ---- from version 2.12.0 and 2.12.1
-// --------- Starting below: New or revised $lang ---- from version 2.12.2
-$lang['GhostTracker_Init_OK'] = 'Ghost Tracker reset done !';
-// --------- End: New or revised $lang ---- from version 2.12.2
-// --------- Starting below: New or revised $lang ---- from version 2.12.7
-$lang['mail_text_error'] = '<b>Warning!</b> - Semicolons (;) are not allowed in addtionnal email text. This Character have been automatically replaced by a dot (.). For information, the amended text(s) is(are) shown in red in the corresponding field(s). Please, check it(them) out.';
-// --------- End: New or revised $lang ---- from version 2.12.7
-// --------- Starting below: New or revised $lang ---- from version 2.12.8
-$lang['mail_exclusionlist_error'] = 'Warning! You have entered a new line (CR-LF) at the begining of email exclusion list (shown in red below). Although this new line is not visible, it is still present and may cause malfunction of the plugin. Please re-type in your exclusion list in a manner that does not begin with a newline.';
-// --------- End: New or revised $lang ---- from version 2.12.8
-// --------- Starting below: New or revised $lang ---- from version 2.13.0
-$lang['Err_Userlist_Settings'] = 'Cette page n\'est accessible que si le "suivi des utilisateur" est actif dans l\'onglet "Configuration Générale".';
-// --------- End: New or revised $lang ---- from version 2.13.0
-
-
-/* Processing messages */
-$lang['%d_Mail_With_Key'] = '%d message with key renewal was sent';
-$lang['%d_Mails_With_Key'] = '%d messages with key renewal were sent';
-$lang['%d_Reminder_Sent'] = '%d reminder message was sent';
-$lang['%d_Reminders_Sent'] = '%d reminder messages were sent';
-$lang['%d_Validated_User'] = '%d User validated manually';
-$lang['%d_Validated_Users'] = '%d Users validated manually';
-
-
 /* Action button names */
-$lang['Delete_selected'] = 'Delete';
-$lang['Mail_without_key'] = 'Reminder without key';
-$lang['Mail_with_key'] = 'Reminder with key';
-$lang['Force_Validation'] = 'Forced validation';
-$lang['Reminder_Email'] = 'Email reminder';
-// --------- Starting below: New or revised $lang ---- from version 2.12.0 and 2.12.1
 $lang['audit'] = 'Audit settings';
 $lang['submit'] = 'Save settings';
 // --------- End: New or revised $lang ---- from version 2.12.0 and 2.12.1
+
 // --------- Starting below: New or revised $lang ---- from version 2.12.2
+/* Global Configuration Tab */
+$lang['UserAdvManager_GhostTracker_Notice'] = 'When the Ghost Tracker feature is enabled, you can manage your visitors depending on the frequency of their visits. <b style="color: red;">IMPORTANT : If you enable this feature for the first time or you have reactivated after a long period off during which new visitors are registered, visit the Ghost Tracker tab and follow the instructions for Ghost Tracker initialization.</b>';
+/* Ghost Tracker Tab */
+$lang['UserAdvManager_GhostTracker_Init'] = 'If you enable this feature for the first time or you have reactivated after a long period off during which new visitors are registered, you must initialize or reset the Ghost Tracker. This action is done only after activation or reactivation of the option. Please click <u>once</u> the reset button below.';
+$lang['UserAdvManager_GhostTracker_User_List'] = 'When Ghost Tracker is enabled and initialized, you will find below the list of registered visitors who have not returned since x days. "x" is the number of days configured in the General Setup tab. In addition, you will find a column indicating whether an email reminder has been sent to targeted visitors. So, you can see at a glance and treat visitors who have not taken account of the reminder.<br><br>In this view, you can:
+<br><br>
+- Manually delete accounts <b>(manual drain)</b>
+<br>
+- Generate email reminder <b>with resetting the last visit date</b>. This allows to give a wildcard to targeted visitors. If the visitor has already received a reminder, nothing prevents to resent a new mail which will reset again, in fact, the last visit date.
+<br>';
+/* Errors and Warnings */
+$lang['GhostTracker_Init_OK'] = 'Ghost Tracker reset done !';
+/* Action button names */
 $lang['GT_Reset'] = 'Reset Ghost Tracker';
 // --------- End: New or revised $lang ---- from version 2.12.2
+
+// --------- Starting below: New or revised $lang ---- from version 2.12.6
+/* Global Configuration Tab */
+$lang['UserAdvManager_No_Casse_true'] = ' Make the user account case insensitive at the registration and the identification step (USER = user = User = usER...).';
+// --------- End: New or revised $lang ---- from version 2.12.6
+
+// --------- Starting below: New or revised $lang ---- from version 2.12.7
+/* Errors and Warnings */
+$lang['mail_text_error'] = '<b>Warning!</b> - Semicolons (;) are not allowed in addtionnal email text. This Character have been automatically replaced by a dot (.). For information, the amended text(s) is(are) shown in red in the corresponding field(s). Please, check it(them) out.';
+// --------- End: New or revised $lang ---- from version 2.12.7
+
+// --------- Starting below: New or revised $lang ---- from version 2.12.8
+/* Errors and Warnings */
+$lang['mail_exclusionlist_error'] = 'Warning! You have entered a new line (CR-LF) at the begining of email exclusion list (shown in red below). Although this new line is not visible, it is still present and may cause malfunction of the plugin. Please re-type in your exclusion list in a manner that does not begin with a newline.';
+// --------- End: New or revised $lang ---- from version 2.12.8
+
+// --------- Starting below: New or revised $lang ---- from version 2.13.0
+/* Global Configuration Tab */
+$lang['UserAdvManager_Add_LastVisit_Column'] = ' View user monitoring record (date of last visit, time spent (in days) since their last visit ,...). Monitoring is purely informative for the administrator of the gallery.';
+$lang['UserAdvManager_Add_LastVisit_Column_true'] = ' Enable user monitoring list.';
+$lang['UserAdvManager_Add_LastVisit_Column_false'] = ' Disable user monitoring list (Default).';
+/* ConfirmMail Configuration Tab */
+$lang['ConfirmMail_Title'] = 'Advanced settings for validation of registries';
+$lang['Title_Tab2'] = 'UserAdvManager - Register validation settings';
+$lang['Tab_ConfirmMail'] = 'Register validation settings';
+/* UserList Tab */
+$lang['Title_Tab5'] = 'UserAdvManager - User Information';
+$lang['UserList_Title'] = 'Monitoring registered users';
+$lang['Tab_UserList'] = 'Monitoring users';
+$lang['UserAdvManager_User_List'] = 'This page is for information to the administrator. It displays a list of all users registered on the gallery showing the date and number of days since their last visit. The list is sorted in ascending order of number of days.
+<br><br>
+When the Ghost Tracker is active, the number of days without a visit appears as the following color code, according to the maximum set in the Ghost Tracker options:
+<br>
+- <b style="color: lime;">Green</b> : When the user has visited the gallery <b style="color: lime;"><u>less than 50%</u></b> of the maximum indicated in the Ghost Tracker.<br>
+- <b style="color: orange;">Orange</b> : When the user has visited the gallery <b style="color: orange;"><u> between 50% and 99% </u></b> of the maximum indicated in the Ghost Tracker.<br>
+- <b style="color: red;">Red</b> : When the user has visited the gallery <b style="color: red;"><u>for more than 100%</u></b> of the maximum indicated in the Ghost Tracker. <b><u>In this case, the user must also appear in the Ghost Tracker table.</u></b><br>
+<br>
+Example :
+<br>
+The maximum period of Ghost Tracker is configured to 100 days.
+<br>
+A user will appear in green if he visited the gallery for less than 50 days, in orange if his last visit took place between 50 and 99 days and red for 100 days and above.
+<br><br>
+<b>NOTE</b> : The list does not display who have not validated their registration (if the option of validating the registration is activated). These users are then managed in a special way in the "Validation management.';
+$lang['Nb_Days'] = 'Number of days<br>since last visit';
+/* UserManager Tab */
+$lang['UserAdvManager_ConfirmMail_User_List'] = 'When limiting the deadline for registration is enabled, you will find below the list of users whose validation registration is expected, <b style="text-decoration: underline;">whether or not</b> they are in time to validate.<br><br>The registration date is displayed in green when the user concerned is below the time limit to validate his registration. In this case, the validation key is still valid and we can send an email with or without a new validation key.<br><br>When the registration date appears in red, the validation period has expired. In this case, you must send an email with regeneration of validation key if you want to enable the user to validate their registration.<br><br>In all cases, it is possible to manually force the validation.<br><br>In this view, you can:
+<br><br>
+- Manually delete accounts <b>(manual drain)</b>
+<br>
+- Generate email reminder <b>without</b> generating a new key. Warning: Send an email reminder to targeted visitors. This function does not reset the date of registration of targeted visitors and the timeout is still valid.
+<br>
+- Generate email reminder <b>with</b> generating a new key. Warning : Send an email reminder to targeted visitors. This function also resets the date of registration of targeted visitors which equates to extend the deadline for validation.
+<br>
+- Submit a registration awaiting validation manually even if the expiry date has passed <b>(forcing validation)</b>.
+<br>';
+$lang['UserManager_Title'] = 'Advanced management of unvalidated';
+$lang['Title_Tab3'] = 'UserAdvManager - Management of registration validations';
+$lang['Tab_UserManager'] = 'Validations management';
+/* Ghost Tracker Tab */
+$lang['Reminder'] = 'Email Reminder';
+/* Errors and Warnings */
+$lang['Err_Userlist_Settings'] = 'This page is available only if "Users monitoring" is active in the "General Setup" tab.';
+// --------- End: New or revised $lang ---- from version 2.13.0
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/fr_FR/plugin.lang.php	(revision 4398)
+++ /extensions/NBC_UserAdvManager/trunk/language/fr_FR/plugin.lang.php	(revision 4399)
@@ -35,34 +35,4 @@
 $lang['UserAdvManager_MailExclusion_false'] = ' Désactiver l\'exclusion des domaines de messagerie. (valeur par défaut)';
 $lang['UserAdvManager_MailExclusion_List'] = ' Si l\'exclusion de domaines de messagerie est activée, saisissez les domaines à exclure ici. Il faut respecter le format suivant :<br>@[nom_du_domaine].[extension_du_domaine] - Exemple : @hotmail.com<br><br>Séparez les domaines par une virgule<br>';
-// --------- Starting below: New or revised $lang ---- from version 2.12.0 and 2.12.1
-$lang['UserAdvManager_Title1'] = 'Gestion de l\'inscription des utilisateurs';
-$lang['UserAdvManager_Title2'] = 'Validation d\'inscription et gestion de groupes / statuts';
-$lang['UserAdvManager_Password_Enforced'] = 'Renforcement des mots de passe - Activer cette option rend la saisie du mot de passe obligatoire à l\'inscription des visiteurs. De plus, le mot de passe saisi par le visiteur devra répondre à un score de complexité (<b style="color: green;">activez puis sauvegardez les paramètres pour afficher plus d\'infos</b>).';
-$lang['UserAdvManager_Password_Enforced_Info'] = '<b style="text-decoration: underline; color: green;">Explications :</b> <b style="color: green;">Le score d\'un mot de passe est calculé en fonction des paramètres de base : longueur, types de caractères utilisés(lettres, chiffres, majuscules, minuscules, caractères spéciaux). Si le mot de passe de l\'utilisateur ne répond pas au score, le score réalisé est affiché ainsi que le score minimum à atteindre et une indication pour augmenter la valeur de ce score. Pour donner un ordre d\'idée, un score inférieur à 100 est considéré comme faible. Entre 100 et 500, la complexité est renforcée et dans la moyenne. Au dela de 500, c\'est Fort Knox !! ;-)<br>Vous pouvez faire vos essais de complexité d\'un mot de passe en utilisant le champ ci-dessous. Cela vous permettra de vous faire une idée du score à définir pour une complexité personnalisée.</b>';
-$lang['UserAdvManager_PasswordTest'] = 'Mot de passe à tester : ';
-$lang['UserAdvManager_ScoreTest'] = 'Score obtenu : ';
-$lang['PasswordTest'] = 'Calcul du score';
-$lang['UserAdvManager_Password_Enforced_true'] = ' Mot de passe renforcé obligatoire - Saisir le score minimum (valeur plancher) de complexité du mots de passe == ';
-$lang['UserAdvManager_Password_Enforced_false'] = ' Ne pas renforcer les mots de passe. (valeur par défaut)';
-$lang['UserAdvManager_AdminPassword_Enforced'] = 'Appliquer également le contrôle du renforcement de mots de passe lorsqu\'un administrateur créé un utilisateur? A noter : Si l\'utilisateur ainsi créé désire changer de mot de passe et que le renforcement des mots de passe pour les utilisateurs est actif, il sera soumis à la règle configurée.';
-$lang['UserAdvManager_AdminPassword_Enforced_true'] = 'Activer le renforcement des mots de passe pour les admins.';
-$lang['UserAdvManager_AdminPassword_Enforced_false'] = 'Désactiver le renforcement des mots de passe pour les admins. (valeur par défaut)';
-$lang['UserAdvManager_GhostTracker'] = 'Gestion des visiteurs fantômes - Permet de gérer les inscrits en fonction de leur date de dernière visite:';
-$lang['UserAdvManager_GhostTracker_true'] = ' Activer la gestion des visiteurs fantômes.';
-$lang['UserAdvManager_GhostTracker_false'] = ' Désactiver la gestion des visiteurs fantômes. (valeur par défaut)';
-$lang['UserAdvManager_GhostTracker_DayLimit'] = ' Saisissez ici le délai maximum, en jours, entre deux visites d\'un visiteur. Lorsque ce délai est atteind, le visiteur en question apparaitra dans le tableau de l\'onglet "Ghost Tracker".';
-$lang['UserAdvManager_GhostTracker_ReminderText'] = ' Texte utilisé dans le mail de rappel envoyé à l\'utilisateur pour l\'inciter à revenir visiter la galerie (NB: Le texte pré-renseigné à l\'installation du plugin est donné à titre d\'exemple).<br><b style="color: red;">(!!! </b><b style="text-decoration: underline; color: red;">ATTENTION !</b> <b style="color: red;">La modification du texte n\'est possible <b>QUE</b> si la gestion des visiteurs fantômes est activée. Utilisez la méthode multi language du plugin Extended Description si celui-ci est activé !!!)</b>';
-// --------- End: New or revised $lang ---- from version 2.12.0 and 2.12.1
-// --------- Starting below: New or revised $lang ---- from version 2.12.2
-$lang['UserAdvManager_GhostTracker_Notice'] = 'Lorsque la fonction Ghost Tracker est activée, il vous est possible de gérer vos visiteurs en fonction de la fréquence de leurs visites. <b style="color: red;">IMPORTANT : Si vous avez activé cette fonction pour la première fois ou que vous l\'avez réactivée après une longue période de désactivation pendant laquelle de nouveaux visiteurs se sont inscrits, rendez-vous sur l\'onglet Ghost Tracker et suivez les instructions relatives à l\'initialisation de Ghost Tracker.</b>';
-// --------- End: New or revised $lang ---- from version 2.12.2
-// --------- Starting below: New or revised $lang ---- from version 2.12.6
-$lang['UserAdvManager_No_Casse_true'] = ' Rendre le compte utilisateur insensible à la casse, lors de l\'inscription et l\'identification (TOTO = toto = Toto = toTO...).';
-// --------- End: New or revised $lang ---- from version 2.12.6
-// --------- Starting below: New or revised $lang ---- from version 2.13.0
-$lang['UserAdvManager_Add_LastVisit_Column'] = ' Afficher le suivi des utilisateurs inscrits (date de leur dernière visite, le temps passé (en jours) depuis leur dernière visite,...). Le suivi est à caractère purement informatif pour l\'administrateur de la galerie.';
-$lang['UserAdvManager_Add_LastVisit_Column_true'] = ' Activer l\'affichage de la liste.';
-$lang['UserAdvManager_Add_LastVisit_Column_false'] = ' Désactiver l\'affichage de la liste (valeur par défaut).';
-// --------- End: New or revised $lang ---- from version 2.13.0
 
 
@@ -78,76 +48,8 @@
 $lang['UserAdvManager_ConfirmMail_ReMail_Txt1'] = 'Contenu personnalisé du message de rappel avec regénération de clé de validation.<br>Si laissé vide, le mail de rappel ne comportera que le lien de validation. Il est donc vivement conseillé de saisir un petit texte explicatif. (NB : Le texte pré-renseigné à l\'installation du plugin est donné en exemple)<br><br><b style="color: red;">(!!! </b><b style="text-decoration: underline; color: red;">ATTENTION !</b> <b style="color: red;">La modification du texte n\'est possible <b>QUE</b> si le rappel par email est activé. Utilisez la méthode multi language du plugin Extended Description si celui-ci est activé !!!)</b>';
 $lang['UserAdvManager_ConfirmMail_ReMail_Txt2'] = 'Contenu personnalisé du message de rappel sans regénération de clé de validation.<br>Si laissé vide, le mail de rappel sera vide. Il est donc vivement conseillé de saisir un petit texte explicatif. (NB : Le texte pré-renseigné à l\'installation du plugin est donné en exemple)<br><br><b style="color: red;">(!!! </b><b style="text-decoration: underline; color: red;">ATTENTION !</b> <b style="color: red;">La modification du texte n\'est possible <b>QUE</b> si le rappel par email est activé. Utilisez la méthode multi language du plugin Extended Description si celui-ci est activé !!!)</b>';
-// --------- Starting below: New or revised $lang ---- from version 2.13.0
-$lang['ConfirmMail_Title'] = 'Configuration avancée de la validation des inscriptions';
-$lang['Title_Tab2'] = 'UserAdvManager - Configuration de la validation des inscriptions';
-$lang['Tab_ConfirmMail'] = 'Configuration des validations';
-// --------- End: New or revised $lang ---- from version 2.13.0
-
-
-// --------- Starting below: New or revised $lang ---- from version 2.13.0
-/* UserList Tab */
-$lang['Title_Tab5'] = 'UserAdvManager - Informations sur les utilisateurs';
-$lang['UserList_Title'] = 'Suivi des utilisateurs inscrits';
-$lang['Tab_UserList'] = 'Suivi des utilisateurs';
-$lang['UserAdvManager_User_List'] = 'Cette page est à titre d\'information pour l\'administrateur. Elle affiche la liste de tous les utilisateurs inscrits sur la galerie en faisant apparaitre la date et le nombre de jours depuis leur dernière visite. La liste est triée dans l\'ordre croissant du nombre de jours.
-<br><br>
-Lorsque le Ghost Tracker est actif, le nombre de jours sans visite s\'affiche selon le code couleur suivant, en fonction du délai maximum paramétré dans les options du Ghost Tracker :
-<br>
-- <b style="color: lime;">En vert</b> : Lorsque l\'utilisateur a visité la galerie <b style="color: lime;"><u>depuis moins de 50%</u></b> du délai maximum renseigné dans le Ghost Tracker.<br>
-- <b style="color: orange;">En orange</b> : Lorsque l\'utilisateur a visité la galerie <b style="color: orange;"><u>entre 50% et 99%</u></b> du délai maximum renseigné dans le Ghost Tracker.<br>
-- <b style="color: red;">En rouge</b> : Lorsque l\'utilisateur a visité la galerie <b style="color: red;"><u>depuis plus de 99%</u></b> du délai maximum renseigné dans le Ghost Tracker. <b><u>Dans ce cas, l\'utilisateur doit également apparaitre dans le tableau du Ghost Tracker.</u></b><br>
-<br>
-Exemple :
-<br>
-Le délai maximum du Ghost Tracker est configuré à 100 jours.
-<br>
-Un utilisateur apparaitra en vert s\'il a visité la galerie depuis moins de 50 jours, en orange si sa dernière visite s\'est déroulée entre 50 et 99 jours et en rouge à 100 jours et au-delà.
-<br><br>
-<b>A NOTER</b> : La liste n\'affiche pas les inscrits qui n\'auraient pas validé leur inscription (si l\'option de validation de l\'inscription est activée). Ces utilisateurs sont alors gérés de manière particulière dans l\'onglet "Gestion des validations".';
-$lang['Nb_Days'] = 'Nb de jours<br>depuis dernière visite';
-// --------- End: New or revised $lang ---- from version 2.13.0
 
 
 /* UserManager Tab */
-$lang['UserAdvManager_ConfirmMail_User_List'] = 'Lorsque la limitation du délai d\'inscription est activée, vous trouverez ci-dessous la liste des utilisateurs en attente de validation d\'inscription <b style="text-decoration: underline;">qu\'ils soient ou pas</b> dans les délais pour la valider.<br><br>Dans cette vue, vous pouvez :
-<br><br>
-- Supprimer manuellement les comptes <b>(purge manuelle)</b>
-<br>
-- Générer l\'email de rappel <b>sans génération</b> d\'une nouvelle clef. Rappel : Cette fonction ne réinitialise pas la date d\'inscription du visiteur ciblé et le délai d\'expiration est toujours d\'actualité.
-<br>
-- Générer l\'email de rappel <b>avec génération</b> d\'une nouvelle clef. Rappel : Cette fonction réinitialise également la date d\'inscription du visiteur ciblé ce qui équivaut à prolonger le délai de validation.
-<br>
-- Valider manuellement une inscription en attente de validation même si la date d\'expiration est révolue <b>(forçage de la validation)</b>.
-<br>';
 $lang['Registration_Date'] = 'Date d\'enregistrement';
-// --------- Starting below: New or revised $lang ---- from version 2.13.0
-$lang['UserManager_Title'] = 'Gestion avancée des inscrits non validés';
-$lang['Title_Tab3'] = 'UserAdvManager - Gestion des validations d\'inscription';
-$lang['Tab_UserManager'] = 'Gestion des validations';
-// --------- End: New or revised $lang ---- from version 2.13.0
-
-
-/* Ghost Tracker Tab */
-// --------- Starting below: New or revised $lang ---- from version 2.12.0 and 2.12.1
-$lang['GhostTracker_Title'] = 'Gestion avancée des visiteurs fantômes';
-$lang['Title_Tab4'] = 'UserAdvManager - Ghost Tracker';
-$lang['Tab_GhostTracker'] = 'Ghost Tracker';
-$lang['LastVisit_Date'] = 'Date de dernière visite';
-$lang['Reminder'] = 'Email de rappel';
-$lang['Reminder_Sent_OK'] = 'OUI';
-$lang['Reminder_Sent_NOK'] = 'NON';
-// --------- End: New or revised $lang ---- from version 2.12.0 and 2.12.1
-// --------- Starting below: New or revised $lang ---- from version 2.12.2
-$lang['UserAdvManager_GhostTracker_Init'] = 'Si vous avez activé cette fonction pour la première fois ou que vous l\'avez réactivée après une longue période de désactivation pendant laquelle de nouveaux visiteurs se sont inscrits, il faut initialiser ou réinitialiser le Ghost Tracker. Cette action n\'est à faire qu\'une seule après activation ou réactivation de l\'option. Veuillez cliquer <u>une seule fois</u> sur le bouton d\'initialisation ci-dessous.</b>';
-$lang['UserAdvManager_GhostTracker_User_List'] = 'Lorsque la gestion des visiteurs fantômes est activée et initialisée, vous trouverez ci-dessous la liste des visiteurs inscrits sur votre galerie et qui ne sont pas revenus depuis x jours. "x" étant le nombre de jours paramétrés dans l\'onglet de configuration générale. De plus, vous trouverez une colonne précisant si un mail de rappel a déjà été envoyé aux visiteurs ciblés, vous permettant de visualiser d\'un coup d\'oeil et traiter les visiteurs qui n\'auraient pas tenu compte du rappel.<br><br>Dans cette vue, vous pouvez :
-<br><br>
-- Supprimer manuellement les comptes <b>(purge manuelle)</b>
-<br>
-- Générer l\'email de rappel <b>avec réinitialisation de la date de dernière visite</b>. Ce qui permet de donner un "joker" au visiteur ciblé. Si le visiteur a déjà bénéficié d\'un mail de rappel, rien n\'empêche de renvoyer un nouveau mail qui réinitialisera, de fait, la date de dernière visite.
-<br>';
-// --------- End: New or revised $lang ---- from version 2.12.2
-// --------- Starting below: New or revised $lang ---- from version 2.13.0
-$lang['Reminder'] = 'Email de rappel';
-// --------- End: New or revised $lang ---- from version 2.13.0
 
 
@@ -192,5 +94,51 @@
 $lang['No_validation_for_your_account'] = 'Votre compte d\'admin n\'est pas soumis à validation';
 $lang['Database_Error'] = '<b><u>Attention ! Erreur critique d\'intégrité dans votre base de données.</u></b><br><br>Veuillez contrôler l\'intégrité de la table #_user_confirm_mail.';
+
+
+/* Processing messages */
+$lang['%d_Mail_With_Key'] = '%d message avec renouvellement de clé a été envoyé';
+$lang['%d_Mails_With_Key'] = '%d messages avec renouvellement de clé ont été envoyés';
+$lang['%d_Reminder_Sent'] = '%d message de rappel a été envoyé';
+$lang['%d_Reminders_Sent'] = '%d messages de rappel ont été envoyés';
+$lang['%d_Validated_User'] = '%d Utilisateur validé manuellement';
+$lang['%d_Validated_Users'] = '%d Utilisateurs validés manuellement';
+
+
+/* Action button names */
+$lang['Delete_selected'] = 'Supprimer';
+$lang['Mail_without_key'] = 'Rappel sans clé';
+$lang['Mail_with_key'] = 'Rappel avec clé';
+$lang['Force_Validation'] = 'Validation forcée';
+
+
+
 // --------- Starting below: New or revised $lang ---- from version 2.12.0 and 2.12.1
+/* Global Configuration Tab */
+$lang['UserAdvManager_Title1'] = 'Gestion de l\'inscription des utilisateurs';
+$lang['UserAdvManager_Title2'] = 'Validation d\'inscription et gestion de groupes / statuts';
+$lang['UserAdvManager_Password_Enforced'] = 'Renforcement des mots de passe - Activer cette option rend la saisie du mot de passe obligatoire à l\'inscription des visiteurs. De plus, le mot de passe saisi par le visiteur devra répondre à un score de complexité (<b style="color: green;">activez puis sauvegardez les paramètres pour afficher plus d\'infos</b>).';
+$lang['UserAdvManager_Password_Enforced_Info'] = '<b style="text-decoration: underline; color: green;">Explications :</b> <b style="color: green;">Le score d\'un mot de passe est calculé en fonction des paramètres de base : longueur, types de caractères utilisés(lettres, chiffres, majuscules, minuscules, caractères spéciaux). Si le mot de passe de l\'utilisateur ne répond pas au score, le score réalisé est affiché ainsi que le score minimum à atteindre et une indication pour augmenter la valeur de ce score. Pour donner un ordre d\'idée, un score inférieur à 100 est considéré comme faible. Entre 100 et 500, la complexité est renforcée et dans la moyenne. Au dela de 500, c\'est Fort Knox !! ;-)<br>Vous pouvez faire vos essais de complexité d\'un mot de passe en utilisant le champ ci-dessous. Cela vous permettra de vous faire une idée du score à définir pour une complexité personnalisée.</b>';
+$lang['UserAdvManager_PasswordTest'] = 'Mot de passe à tester : ';
+$lang['UserAdvManager_ScoreTest'] = 'Score obtenu : ';
+$lang['PasswordTest'] = 'Calcul du score';
+$lang['UserAdvManager_Password_Enforced_true'] = ' Mot de passe renforcé obligatoire - Saisir le score minimum (valeur plancher) de complexité du mots de passe == ';
+$lang['UserAdvManager_Password_Enforced_false'] = ' Ne pas renforcer les mots de passe. (valeur par défaut)';
+$lang['UserAdvManager_AdminPassword_Enforced'] = 'Appliquer également le contrôle du renforcement de mots de passe lorsqu\'un administrateur créé un utilisateur? A noter : Si l\'utilisateur ainsi créé désire changer de mot de passe et que le renforcement des mots de passe pour les utilisateurs est actif, il sera soumis à la règle configurée.';
+$lang['UserAdvManager_AdminPassword_Enforced_true'] = 'Activer le renforcement des mots de passe pour les admins.';
+$lang['UserAdvManager_AdminPassword_Enforced_false'] = 'Désactiver le renforcement des mots de passe pour les admins. (valeur par défaut)';
+$lang['UserAdvManager_GhostTracker'] = 'Gestion des visiteurs fantômes - Permet de gérer les inscrits en fonction de leur date de dernière visite:';
+$lang['UserAdvManager_GhostTracker_true'] = ' Activer la gestion des visiteurs fantômes.';
+$lang['UserAdvManager_GhostTracker_false'] = ' Désactiver la gestion des visiteurs fantômes. (valeur par défaut)';
+$lang['UserAdvManager_GhostTracker_DayLimit'] = ' Saisissez ici le délai maximum, en jours, entre deux visites d\'un visiteur. Lorsque ce délai est atteind, le visiteur en question apparaitra dans le tableau de l\'onglet "Ghost Tracker".';
+$lang['UserAdvManager_GhostTracker_ReminderText'] = ' Texte utilisé dans le mail de rappel envoyé à l\'utilisateur pour l\'inciter à revenir visiter la galerie (NB: Le texte pré-renseigné à l\'installation du plugin est donné à titre d\'exemple).<br><b style="color: red;">(!!! </b><b style="text-decoration: underline; color: red;">ATTENTION !</b> <b style="color: red;">La modification du texte n\'est possible <b>QUE</b> si la gestion des visiteurs fantômes est activée. Utilisez la méthode multi language du plugin Extended Description si celui-ci est activé !!!)</b>';
+/* Ghost Tracker Tab */
+$lang['GhostTracker_Title'] = 'Gestion avancée des visiteurs fantômes';
+$lang['Title_Tab4'] = 'UserAdvManager - Ghost Tracker';
+$lang['Tab_GhostTracker'] = 'Ghost Tracker';
+$lang['LastVisit_Date'] = 'Date de dernière visite';
+$lang['Reminder'] = 'Email de rappel';
+$lang['Reminder_Sent_OK'] = 'OUI';
+$lang['Reminder_Sent_NOK'] = 'NON';
+/* Errors and Warnings */
 $lang['UserAdvManager_save_config'] ='Configuration enregistrée.';
 $lang['reg_err_login3'] = 'Sécurité : Le mot de passe est obligatoire !';
@@ -205,40 +153,89 @@
 $lang['No_reminder_for_your_account'] = 'Votre compte d\'admin n\'est pas soumis à recevoir des rappels du GhostTracker';
 $lang['Err_GhostTracker_Settings'] = 'Cette page n\'est accessible que si "Gestion des visiteurs fantômes" est actif dans l\'onglet "Configuration Générale".';
-// --------- End: New or revised $lang ---- from version 2.12.0 and 2.12.1
-// --------- Starting below: New or revised $lang ---- from version 2.12.2
-$lang['GhostTracker_Init_OK'] = 'Initialisation Ghost Tracker effectuée !';
-// --------- End: New or revised $lang ---- from version 2.12.2
-// --------- Starting below: New or revised $lang ---- from version 2.12.7
-$lang['mail_text_error'] = '<b>Attention!</b> - Le point-virgule (;) n\'est pas autorisé dans le texte additionnel des emails. Ce caractère a été automatiquement remplacé par un point (.). Pour information, le(s) texte(s) modifié(s) est(sont) affiché(s) en rouge dans le(s) champ(s) correspondant(s). Veuillez le(s) vérifier.';
-// --------- End: New or revised $lang ---- from version 2.12.7
-// --------- Starting below: New or revised $lang ---- from version 2.12.8
-$lang['mail_exclusionlist_error'] = 'Attention ! Vous avez saisi un retour à la ligne en début de liste d\'exclusion des domaines de messagerie (affichée en rouge ci-dessous). Bien que ce retour à la ligne ne soit pas visible, il est tout de même présent et est susceptible de provoquer des dysfonctionnements du plugin. Veuillez resaisir votre liste d\'exclusion en veillant à ne pas commencer par un retour à la ligne.';
-// --------- End: New or revised $lang ---- from version 2.12.8
-// --------- Starting below: New or revised $lang ---- from version 2.13.0
-$lang['Err_Userlist_Settings'] = 'Cette page n\'est accessible que si le "suivi des utilisateur" est actif dans l\'onglet "Configuration Générale".';
-// --------- End: New or revised $lang ---- from version 2.13.0
-
-
-/* Processing messages */
-$lang['%d_Mail_With_Key'] = '%d message avec renouvellement de clé a été envoyé';
-$lang['%d_Mails_With_Key'] = '%d messages avec renouvellement de clé ont été envoyés';
-$lang['%d_Reminder_Sent'] = '%d message de rappel a été envoyé';
-$lang['%d_Reminders_Sent'] = '%d messages de rappel ont été envoyés';
-$lang['%d_Validated_User'] = '%d Utilisateur validé manuellement';
-$lang['%d_Validated_Users'] = '%d Utilisateurs validés manuellement';
-
-
 /* Action button names */
-$lang['Delete_selected'] = 'Supprimer';
-$lang['Mail_without_key'] = 'Rappel sans clé';
-$lang['Mail_with_key'] = 'Rappel avec clé';
-$lang['Force_Validation'] = 'Validation forcée';
-// --------- Starting below: New or revised $lang ---- from version 2.12.0 and 2.12.1
 $lang['audit'] = 'Auditer les paramètres';
 $lang['submit'] = 'Sauvegarder les paramètres';
 $lang['Reminder_Email'] = 'Email de rappel';
 // --------- End: New or revised $lang ---- from version 2.12.0 and 2.12.1
+
 // --------- Starting below: New or revised $lang ---- from version 2.12.2
+/* Global Configuration Tab */
+$lang['UserAdvManager_GhostTracker_Notice'] = 'Lorsque la fonction Ghost Tracker est activée, il vous est possible de gérer vos visiteurs en fonction de la fréquence de leurs visites. <b style="color: red;">IMPORTANT : Si vous avez activé cette fonction pour la première fois ou que vous l\'avez réactivée après une longue période de désactivation pendant laquelle de nouveaux visiteurs se sont inscrits, rendez-vous sur l\'onglet Ghost Tracker et suivez les instructions relatives à l\'initialisation de Ghost Tracker.</b>';
+/* Ghost Tracker Tab */
+$lang['UserAdvManager_GhostTracker_Init'] = 'Si vous avez activé cette fonction pour la première fois ou que vous l\'avez réactivée après une longue période de désactivation pendant laquelle de nouveaux visiteurs se sont inscrits, il faut initialiser ou réinitialiser le Ghost Tracker. Cette action n\'est à faire qu\'une seule après activation ou réactivation de l\'option. Veuillez cliquer <u>une seule fois</u> sur le bouton d\'initialisation ci-dessous.</b>';
+$lang['UserAdvManager_GhostTracker_User_List'] = 'Lorsque la gestion des visiteurs fantômes est activée et initialisée, vous trouverez ci-dessous la liste des visiteurs inscrits sur votre galerie et qui ne sont pas revenus depuis x jours. "x" étant le nombre de jours paramétrés dans l\'onglet de configuration générale. De plus, vous trouverez une colonne précisant si un mail de rappel a déjà été envoyé aux visiteurs ciblés, vous permettant de visualiser d\'un coup d\'oeil et traiter les visiteurs qui n\'auraient pas tenu compte du rappel.<br><br>Dans cette vue, vous pouvez :
+<br><br>
+- Supprimer manuellement les comptes <b>(purge manuelle)</b>
+<br>
+- Générer l\'email de rappel <b>avec réinitialisation de la date de dernière visite</b>. Ce qui permet de donner un "joker" au visiteur ciblé. Si le visiteur a déjà bénéficié d\'un mail de rappel, rien n\'empêche de renvoyer un nouveau mail qui réinitialisera, de fait, la date de dernière visite.
+<br>';
+/* Errors and Warnings */
+$lang['GhostTracker_Init_OK'] = 'Initialisation Ghost Tracker effectuée !';
+/* Action button names */
 $lang['GT_Reset'] = 'Initialisation Ghost Tracker';
 // --------- End: New or revised $lang ---- from version 2.12.2
+
+// --------- Starting below: New or revised $lang ---- from version 2.12.6
+/* Global Configuration Tab */
+$lang['UserAdvManager_No_Casse_true'] = ' Rendre le compte utilisateur insensible à la casse, lors de l\'inscription et l\'identification (TOTO = toto = Toto = toTO...).';
+// --------- End: New or revised $lang ---- from version 2.12.6
+
+// --------- Starting below: New or revised $lang ---- from version 2.12.7
+/* Errors and Warnings */
+$lang['mail_text_error'] = '<b>Attention!</b> - Le point-virgule (;) n\'est pas autorisé dans le texte additionnel des emails. Ce caractère a été automatiquement remplacé par un point (.). Pour information, le(s) texte(s) modifié(s) est(sont) affiché(s) en rouge dans le(s) champ(s) correspondant(s). Veuillez le(s) vérifier.';
+// --------- End: New or revised $lang ---- from version 2.12.7
+
+// --------- Starting below: New or revised $lang ---- from version 2.12.8
+/* Errors and Warnings */
+$lang['mail_exclusionlist_error'] = 'Attention ! Vous avez saisi un retour à la ligne en début de liste d\'exclusion des domaines de messagerie (affichée en rouge ci-dessous). Bien que ce retour à la ligne ne soit pas visible, il est tout de même présent et est susceptible de provoquer des dysfonctionnements du plugin. Veuillez resaisir votre liste d\'exclusion en veillant à ne pas commencer par un retour à la ligne.';
+// --------- End: New or revised $lang ---- from version 2.12.8
+
+// --------- Starting below: New or revised $lang ---- from version 2.13.0
+/* Global Configuration Tab */
+$lang['UserAdvManager_Add_LastVisit_Column'] = ' Afficher le suivi des utilisateurs inscrits (date de leur dernière visite, le temps passé (en jours) depuis leur dernière visite,...). Le suivi est à caractère purement informatif pour l\'administrateur de la galerie.';
+$lang['UserAdvManager_Add_LastVisit_Column_true'] = ' Activer l\'affichage de la liste.';
+$lang['UserAdvManager_Add_LastVisit_Column_false'] = ' Désactiver l\'affichage de la liste (valeur par défaut).';
+/* ConfirmMail Configuration Tab */
+$lang['ConfirmMail_Title'] = 'Configuration avancée de la validation des inscriptions';
+$lang['Title_Tab2'] = 'UserAdvManager - Configuration de la validation des inscriptions';
+$lang['Tab_ConfirmMail'] = 'Configuration des validations';
+/* UserList Tab */
+$lang['Title_Tab5'] = 'UserAdvManager - Informations sur les utilisateurs';
+$lang['UserList_Title'] = 'Suivi des utilisateurs inscrits';
+$lang['Tab_UserList'] = 'Suivi des utilisateurs';
+$lang['UserAdvManager_User_List'] = 'Cette page est à titre d\'information pour l\'administrateur. Elle affiche la liste de tous les utilisateurs inscrits sur la galerie en faisant apparaitre la date et le nombre de jours depuis leur dernière visite. La liste est triée dans l\'ordre croissant du nombre de jours.
+<br><br>
+Lorsque le Ghost Tracker est actif, le nombre de jours sans visite s\'affiche selon le code couleur suivant, en fonction du délai maximum paramétré dans les options du Ghost Tracker :
+<br>
+- <b style="color: lime;">En vert</b> : Lorsque l\'utilisateur a visité la galerie <b style="color: lime;"><u>depuis moins de 50%</u></b> du délai maximum renseigné dans le Ghost Tracker.<br>
+- <b style="color: orange;">En orange</b> : Lorsque l\'utilisateur a visité la galerie <b style="color: orange;"><u>entre 50% et 99%</u></b> du délai maximum renseigné dans le Ghost Tracker.<br>
+- <b style="color: red;">En rouge</b> : Lorsque l\'utilisateur a visité la galerie <b style="color: red;"><u>depuis 100% et plus</u></b> du délai maximum renseigné dans le Ghost Tracker. <b><u>Dans ce cas, l\'utilisateur doit également apparaitre dans le tableau du Ghost Tracker.</u></b><br>
+<br>
+Exemple :
+<br>
+Le délai maximum du Ghost Tracker est configuré à 100 jours.
+<br>
+Un utilisateur apparaitra en vert s\'il a visité la galerie depuis moins de 50 jours, en orange si sa dernière visite s\'est déroulée entre 50 et 99 jours et en rouge à 100 jours et au-delà.
+<br><br>
+<b>A NOTER</b> : La liste n\'affiche pas les inscrits qui n\'auraient pas validé leur inscription (si l\'option de validation de l\'inscription est activée). Ces utilisateurs sont alors gérés de manière particulière dans l\'onglet "Gestion des validations".';
+$lang['Nb_Days'] = 'Nb de jours<br>depuis dernière visite';
+/* UserManager Tab */
+$lang['UserAdvManager_ConfirmMail_User_List'] = 'Lorsque la limitation du délai d\'inscription est activée, vous trouverez ci-dessous la liste des utilisateurs en attente de validation d\'inscription <b style="text-decoration: underline;">qu\'ils soient ou pas</b> dans les délais pour la valider.<br><br>La date d\'enregistrement s\'affiche en vert lorsque l\'utilisateur concerné est en dessous du temps limite pour valider son inscription. Dans ce cas, la clé de validation est toujours valide et on pourra envoyer un email avec ou sans régénération de clé.<br><br>Lorsque la date d\'enregistrement s\'affiche en rouge, le délai de validation est expiré. Dans ce cas, on enverra obligatoirement un email avec régénération de clé si on veut permettre à cet utilisateur de pouvoir valider son inscription.<br><br>Dans tous les cas, il est possible de forcer manuellement la validation.<br><br>Dans cette vue, vous pouvez :
+<br><br>
+- Supprimer manuellement les comptes <b>(purge manuelle)</b>
+<br>
+- Générer l\'email de rappel <b>sans génération</b> d\'une nouvelle clef. Rappel : Cette fonction ne réinitialise pas la date d\'inscription du visiteur ciblé et le délai d\'expiration est toujours d\'actualité.
+<br>
+- Générer l\'email de rappel <b>avec génération</b> d\'une nouvelle clef. Rappel : Cette fonction réinitialise également la date d\'inscription du visiteur ciblé ce qui équivaut à prolonger le délai de validation.
+<br>
+- Valider manuellement une inscription en attente de validation même si la date d\'expiration est révolue <b>(forçage de la validation)</b>.
+<br>';
+$lang['UserManager_Title'] = 'Gestion avancée des inscrits non validés';
+$lang['Title_Tab3'] = 'UserAdvManager - Gestion des validations d\'inscription';
+$lang['Tab_UserManager'] = 'Gestion des validations';
+/* Ghost Tracker Tab */
+$lang['Reminder'] = 'Email de rappel';
+/* Errors and Warnings */
+$lang['Err_Userlist_Settings'] = 'Cette page n\'est accessible que si le "suivi des utilisateur" est actif dans l\'onglet "Configuration Générale".';
+// --------- End: New or revised $lang ---- from version 2.13.0
 ?>
